Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4444)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4450)
@@ -5587,11 +5586,11 @@
                                    root_extr(nzt_soil)                         &
                                    * surf%qsws_veg(m) * drho_l_lv )            &
-                                  ) * ddz_soil(nzt_soil)             
+                                  ) * ddz_soil(nzt_soil)
 
                    surf_m_soil_p%var_2d(nzb_soil:nzt_soil,m) =                 &
                                        surf_m_soil%var_2d(nzb_soil:nzt_soil,m) &
                                          + dt_3d * ( tsc(2) * tend(:)          &
-                                         + tsc(3) * surf_tm_soil_m%var_2d(:,m) )   
-   
+                                         + tsc(3) * surf_tm_soil_m%var_2d(:,m) )
+
 !
 !--                Account for dry and wet soils to keep solution stable
@@ -5599,7 +5598,7 @@
                    DO  k = nzb_soil, nzt_soil
                       surf_m_soil_p%var_2d(k,m) = MIN( surf_m_soil_p%var_2d(k,m), surf%m_sat(k,m) )
-                      surf_m_soil_p%var_2d(k,m) = MAX( surf_m_soil_p%var_2d(k,m), 0.0_wp )                      
+                      surf_m_soil_p%var_2d(k,m) = MAX( surf_m_soil_p%var_2d(k,m), 0.0_wp )
                    ENDDO
-  
+
 !
 !--                Calculate m_soil tendencies for the next Runge-Kutta step
@@ -5618,7 +5617,7 @@
 
                       ENDIF
-                      
+
                    ENDIF
-                   
+
                 ENDIF
 
@@ -5638,5 +5637,5 @@
     END SUBROUTINE lsm_soil_model
 
- 
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -5650,5 +5649,5 @@
        INTEGER, INTENT(IN) :: mod_count
 
-    
+
        SELECT CASE ( mod_count )
 
@@ -5708,5 +5707,5 @@
 !------------------------------------------------------------------------------!
 SUBROUTINE lsm_3d_data_averaging( mode, variable )
- 
+
 
     USE control_parameters
@@ -5716,10 +5715,10 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  mode    !< 
-    CHARACTER (LEN=*) :: variable !< 
-
-    INTEGER(iwp) ::  i       !< 
-    INTEGER(iwp) ::  j       !< 
-    INTEGER(iwp) ::  k       !< 
+    CHARACTER (LEN=*) ::  mode    !<
+    CHARACTER (LEN=*) :: variable !<
+
+    INTEGER(iwp) ::  i       !<
+    INTEGER(iwp) ::  j       !<
+    INTEGER(iwp) ::  k       !<
     INTEGER(iwp) ::  m       !< running index
 
@@ -5804,16 +5803,16 @@
 
           CASE ( 'c_liq*' )
-             IF ( ALLOCATED( c_liq_av ) ) THEN 
+             IF ( ALLOCATED( c_liq_av ) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    c_liq_av(j,i) = c_liq_av(j,i) + surf_lsm_h%c_liq(m)
                 ENDDO
-             ENDIF   
+             ENDIF
 
           CASE ( 'c_soil*' )
-             IF ( ALLOCATED( c_soil_av ) ) THEN 
+             IF ( ALLOCATED( c_soil_av ) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    c_soil_av(j,i) = c_soil_av(j,i) + (1.0 - surf_lsm_h%c_veg(m))
@@ -5822,7 +5821,7 @@
 
           CASE ( 'c_veg*' )
-             IF ( ALLOCATED( c_veg_av ) ) THEN 
+             IF ( ALLOCATED( c_veg_av ) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    c_veg_av(j,i) = c_veg_av(j,i) + surf_lsm_h%c_veg(m)
@@ -5831,7 +5830,7 @@
 
           CASE ( 'lai*' )
-             IF ( ALLOCATED( lai_av ) ) THEN 
+             IF ( ALLOCATED( lai_av ) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    lai_av(j,i) = lai_av(j,i) + surf_lsm_h%lai(m)
@@ -5840,7 +5839,7 @@
 
           CASE ( 'm_liq*' )
-             IF ( ALLOCATED( m_liq_av ) ) THEN 
+             IF ( ALLOCATED( m_liq_av ) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    m_liq_av(j,i) = m_liq_av(j,i) + m_liq_h%var_1d(m)
@@ -5849,7 +5848,7 @@
 
           CASE ( 'm_soil' )
-             IF ( ALLOCATED( m_soil_av ) ) THEN 
+             IF ( ALLOCATED( m_soil_av ) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    DO  k = nzb_soil, nzt_soil
@@ -5860,7 +5859,7 @@
 
           CASE ( 'qsws_liq*' )
-             IF ( ALLOCATED( qsws_liq_av ) ) THEN 
+             IF ( ALLOCATED( qsws_liq_av ) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    qsws_liq_av(j,i) = qsws_liq_av(j,i) +                       &
@@ -5870,7 +5869,7 @@
 
           CASE ( 'qsws_soil*' )
-             IF ( ALLOCATED( qsws_soil_av ) ) THEN 
+             IF ( ALLOCATED( qsws_soil_av ) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    qsws_soil_av(j,i) = qsws_soil_av(j,i) +                     &
@@ -5880,7 +5879,7 @@
 
           CASE ( 'qsws_veg*' )
-             IF ( ALLOCATED(qsws_veg_av ) ) THEN 
+             IF ( ALLOCATED(qsws_veg_av ) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    qsws_veg_av(j,i) = qsws_veg_av(j,i) +                       &
@@ -5890,7 +5889,7 @@
 
           CASE ( 'r_s*' )
-             IF ( ALLOCATED( r_s_av) ) THEN 
+             IF ( ALLOCATED( r_s_av) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    r_s_av(j,i) = r_s_av(j,i) + surf_lsm_h%r_s(m)
@@ -5899,7 +5898,7 @@
 
           CASE ( 't_soil' )
-             IF ( ALLOCATED( t_soil_av ) ) THEN 
+             IF ( ALLOCATED( t_soil_av ) ) THEN
                 DO  m = 1, surf_lsm_h%ns
-                   i   = surf_lsm_h%i(m)            
+                   i   = surf_lsm_h%i(m)
                    j   = surf_lsm_h%j(m)
                    DO  k = nzb_soil, nzt_soil
@@ -5908,5 +5907,5 @@
                 ENDDO
              ENDIF
-             
+
           CASE DEFAULT
              CONTINUE
@@ -6014,5 +6013,5 @@
                 DO  i = nxl, nxr
                    DO  j = nys, nyn
-                      r_s_av(j,i) = r_s_av(j,i)                                & 
+                      r_s_av(j,i) = r_s_av(j,i)                                &
                                     / REAL( average_count_3d, KIND=wp )
                    ENDDO
@@ -6032,5 +6031,5 @@
              ENDIF
 !
-!-- 
+!--
 
        END SELECT
@@ -6049,12 +6048,12 @@
 !------------------------------------------------------------------------------!
  SUBROUTINE lsm_define_netcdf_grid( var, found, grid_x, grid_y, grid_z )
-    
+
      IMPLICIT NONE
 
-     CHARACTER (LEN=*), INTENT(IN)  ::  var         !< 
-     LOGICAL, INTENT(OUT)           ::  found       !< 
-     CHARACTER (LEN=*), INTENT(OUT) ::  grid_x      !< 
-     CHARACTER (LEN=*), INTENT(OUT) ::  grid_y      !< 
-     CHARACTER (LEN=*), INTENT(OUT) ::  grid_z      !< 
+     CHARACTER (LEN=*), INTENT(IN)  ::  var         !<
+     LOGICAL, INTENT(OUT)           ::  found       !<
+     CHARACTER (LEN=*), INTENT(OUT) ::  grid_x      !<
+     CHARACTER (LEN=*), INTENT(OUT) ::  grid_y      !<
+     CHARACTER (LEN=*), INTENT(OUT) ::  grid_z      !<
 
      found  = .TRUE.
@@ -6087,5 +6086,5 @@
  SUBROUTINE lsm_data_output_2d( av, variable, found, grid, mode, local_pf,     &
                                 two_d, nzb_do, nzt_do )
- 
+
     USE indices
 
@@ -6093,22 +6092,22 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  grid     !< 
-    CHARACTER (LEN=*) ::  mode     !< 
-    CHARACTER (LEN=*) ::  variable !< 
-
-    INTEGER(iwp) ::  av      !< 
-    INTEGER(iwp) ::  i       !< running index 
+    CHARACTER (LEN=*) ::  grid     !<
+    CHARACTER (LEN=*) ::  mode     !<
+    CHARACTER (LEN=*) ::  variable !<
+
+    INTEGER(iwp) ::  av      !<
+    INTEGER(iwp) ::  i       !< running index
     INTEGER(iwp) ::  j       !< running index
     INTEGER(iwp) ::  k       !< running index
     INTEGER(iwp) ::  m       !< running index
-    INTEGER(iwp) ::  nzb_do  !< 
-    INTEGER(iwp) ::  nzt_do  !< 
-
-    LOGICAL      ::  found !< 
+    INTEGER(iwp) ::  nzb_do  !<
+    INTEGER(iwp) ::  nzt_do  !<
+
+    LOGICAL      ::  found !<
     LOGICAL      ::  two_d !< flag parameter that indicates 2D variables (horizontal cross sections)
 
     REAL(wp) ::  fill_value = -999.0_wp    !< value for the _FillValue attribute
 
-    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf !< 
+    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf !<
 
 
@@ -6117,10 +6116,10 @@
     SELECT CASE ( TRIM( variable ) )
 !
-!--    Before data is transfered to local_pf, transfer is it 2D dummy variable and exchange ghost points therein. 
-!--    However, at this point this is only required for instantaneous arrays, time-averaged quantities are already exchanged. 
+!--    Before data is transfered to local_pf, transfer is it 2D dummy variable and exchange ghost points therein.
+!--    However, at this point this is only required for instantaneous arrays, time-averaged quantities are already exchanged.
        CASE ( 'c_liq*_xy' )        ! 2d-array
           IF ( av == 0 )  THEN
              DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
+                i                   = surf_lsm_h%i(m)
                 j                   = surf_lsm_h%j(m)
                 local_pf(i,j,nzb+1) = surf_lsm_h%c_liq(m) * surf_lsm_h%c_veg(m)
@@ -6144,5 +6143,5 @@
           IF ( av == 0 )  THEN
              DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
+                i                   = surf_lsm_h%i(m)
                 j                   = surf_lsm_h%j(m)
                 local_pf(i,j,nzb+1) = 1.0_wp - surf_lsm_h%c_veg(m)
@@ -6166,5 +6165,5 @@
           IF ( av == 0 )  THEN
              DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
+                i                   = surf_lsm_h%i(m)
                 j                   = surf_lsm_h%j(m)
                 local_pf(i,j,nzb+1) = surf_lsm_h%c_veg(m)
@@ -6188,5 +6187,5 @@
           IF ( av == 0 )  THEN
              DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
+                i                   = surf_lsm_h%i(m)
                 j                   = surf_lsm_h%j(m)
                 local_pf(i,j,nzb+1) = surf_lsm_h%lai(m)
@@ -6210,5 +6209,5 @@
           IF ( av == 0 )  THEN
              DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
+                i                   = surf_lsm_h%i(m)
                 j                   = surf_lsm_h%j(m)
                 local_pf(i,j,nzb+1) = m_liq_h%var_1d(m)
@@ -6232,5 +6231,5 @@
           IF ( av == 0 )  THEN
              DO  m = 1, surf_lsm_h%ns
-                i   = surf_lsm_h%i(m)            
+                i   = surf_lsm_h%i(m)
                 j   = surf_lsm_h%j(m)
                 DO k = nzb_soil, nzt_soil
@@ -6256,9 +6255,9 @@
 
           IF ( mode == 'xy' ) grid = 'zs'
-         
+
        CASE ( 'qsws_liq*_xy' )        ! 2d-array
           IF ( av == 0 ) THEN
              DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
+                i                   = surf_lsm_h%i(m)
                 j                   = surf_lsm_h%j(m)
                 local_pf(i,j,nzb+1) = surf_lsm_h%qsws_liq(m)
@@ -6270,5 +6269,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) =  qsws_liq_av(j,i)
                 ENDDO
@@ -6282,5 +6281,5 @@
           IF ( av == 0 ) THEN
              DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
+                i                   = surf_lsm_h%i(m)
                 j                   = surf_lsm_h%j(m)
                 local_pf(i,j,nzb+1) =  surf_lsm_h%qsws_soil(m)
@@ -6292,5 +6291,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) =  qsws_soil_av(j,i)
                 ENDDO
@@ -6304,5 +6303,5 @@
           IF ( av == 0 ) THEN
              DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
+                i                   = surf_lsm_h%i(m)
                 j                   = surf_lsm_h%j(m)
                 local_pf(i,j,nzb+1) =  surf_lsm_h%qsws_veg(m)
@@ -6314,5 +6313,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) =  qsws_veg_av(j,i)
                 ENDDO
@@ -6327,5 +6326,5 @@
           IF ( av == 0 )  THEN
              DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
+                i                   = surf_lsm_h%i(m)
                 j                   = surf_lsm_h%j(m)
                 local_pf(i,j,nzb+1) = surf_lsm_h%r_s(m)
@@ -6349,5 +6348,5 @@
           IF ( av == 0 )  THEN
              DO  m = 1, surf_lsm_h%ns
-                i   = surf_lsm_h%i(m)            
+                i   = surf_lsm_h%i(m)
                 j   = surf_lsm_h%j(m)
                 DO k = nzb_soil, nzt_soil
@@ -6380,5 +6379,5 @@
 
     END SELECT
- 
+
  END SUBROUTINE lsm_data_output_2d
 
@@ -6391,5 +6390,5 @@
 !------------------------------------------------------------------------------!
  SUBROUTINE lsm_data_output_3d( av, variable, found, local_pf )
- 
+
 
     USE indices
@@ -6398,17 +6397,17 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  variable !< 
-
-    INTEGER(iwp) ::  av    !< 
-    INTEGER(iwp) ::  i     !< 
-    INTEGER(iwp) ::  j     !< 
-    INTEGER(iwp) ::  k     !< 
+    CHARACTER (LEN=*) ::  variable !<
+
+    INTEGER(iwp) ::  av    !<
+    INTEGER(iwp) ::  i     !<
+    INTEGER(iwp) ::  j     !<
+    INTEGER(iwp) ::  k     !<
     INTEGER(iwp) ::  m     !< running index
 
-    LOGICAL      ::  found !< 
+    LOGICAL      ::  found !<
 
     REAL(wp) ::  fill_value = -999.0_wp    !< value for the _FillValue attribute
 
-    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_soil:nzt_soil) ::  local_pf !< 
+    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_soil:nzt_soil) ::  local_pf !<
 
 
@@ -6424,5 +6423,5 @@
          IF ( av == 0 )  THEN
             DO  m = 1, surf_lsm_h%ns
-                i   = surf_lsm_h%i(m)            
+                i   = surf_lsm_h%i(m)
                 j   = surf_lsm_h%j(m)
                 DO  k = nzb_soil, nzt_soil
@@ -6448,5 +6447,5 @@
          IF ( av == 0 )  THEN
             DO  m = 1, surf_lsm_h%ns
-               i   = surf_lsm_h%i(m)            
+               i   = surf_lsm_h%i(m)
                j   = surf_lsm_h%j(m)
                DO  k = nzb_soil, nzt_soil
@@ -6482,9 +6481,9 @@
 ! Description:
 ! ------------
-!> Write restart data for land surface model. It is necessary to write 
+!> Write restart data for land surface model. It is necessary to write
 !> start_index and end_index several times.
 !------------------------------------------------------------------------------!
  SUBROUTINE lsm_wrd_local
-        
+
 
     IMPLICIT NONE
@@ -6544,5 +6543,5 @@
        WRITE ( 14 )  qsws_veg_av
     ENDIF
-    
+
     IF ( ALLOCATED( t_soil_av ) )  THEN
        CALL wrd_write_string( 't_soil_av' )
@@ -6558,7 +6557,7 @@
     CALL wrd_write_string( 't_soil_h' )
     WRITE ( 14 )  t_soil_h%var_2d
-       
-
-       
+
+
+
     DO  l = 0, 3
 
@@ -6569,9 +6568,9 @@
        WRITE ( 14 )  surf_lsm_v(l)%end_index
 
-       WRITE( dum, '(I1)')  l   
+       WRITE( dum, '(I1)')  l
 
        CALL wrd_write_string( 't_soil_v(' // dum // ')' )
        WRITE ( 14 )  t_soil_v(l)%var_2d
-             
+
     ENDDO
 
@@ -6593,9 +6592,9 @@
        WRITE ( 14 )  surf_lsm_v(l)%end_index
 
-       WRITE( dum, '(I1)')  l   
+       WRITE( dum, '(I1)')  l
 
        CALL wrd_write_string( 'm_soil_v(' // dum // ')' )
-       WRITE ( 14 )  m_soil_v(l)%var_2d 
-      
+       WRITE ( 14 )  m_soil_v(l)%var_2d
+
     ENDDO
 
@@ -6608,5 +6607,5 @@
     CALL wrd_write_string( 'm_liq_h' )
     WRITE ( 14 )  m_liq_h%var_1d
-       
+
     DO  l = 0, 3
 
@@ -6617,9 +6616,9 @@
        WRITE ( 14 )  surf_lsm_v(l)%end_index
 
-       WRITE( dum, '(I1)')  l   
+       WRITE( dum, '(I1)')  l
 
        CALL wrd_write_string( 'm_liq_v(' // dum // ')' )
-       WRITE ( 14 )  m_liq_v(l)%var_1d     
-                
+       WRITE ( 14 )  m_liq_v(l)%var_1d
+
     ENDDO
 
@@ -6641,9 +6640,9 @@
        WRITE ( 14 )  surf_lsm_v(l)%end_index
 
-       WRITE( dum, '(I1)')  l   
+       WRITE( dum, '(I1)')  l
 
        CALL wrd_write_string( 't_surface_v(' // dum // ')' )
-       WRITE ( 14 )  t_surface_v(l)%var_1d     
-       
+       WRITE ( 14 )  t_surface_v(l)%var_1d
+
     ENDDO
 
@@ -6661,10 +6660,10 @@
                           nxr_on_file, nynf, nync, nyn_on_file, nysf, nysc,    &
                           nys_on_file, tmp_2d, found )
- 
+
 
     USE control_parameters
-        
+
     USE indices
-    
+
     USE pegrid
 
@@ -6672,28 +6671,28 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  k                 !< 
+    INTEGER(iwp) ::  k                 !<
     INTEGER(iwp) ::  l                 !< running index surface orientation
     INTEGER(iwp) ::  ns_h_on_file_lsm  !< number of horizontal surface elements (natural type) on file
-    INTEGER(iwp) ::  nxlc              !< 
-    INTEGER(iwp) ::  nxlf              !< 
+    INTEGER(iwp) ::  nxlc              !<
+    INTEGER(iwp) ::  nxlf              !<
     INTEGER(iwp) ::  nxl_on_file       !< index of left boundary on former local domain
-    INTEGER(iwp) ::  nxrc              !< 
-    INTEGER(iwp) ::  nxrf              !< 
+    INTEGER(iwp) ::  nxrc              !<
+    INTEGER(iwp) ::  nxrf              !<
     INTEGER(iwp) ::  nxr_on_file       !< index of right boundary on former local domain
-    INTEGER(iwp) ::  nync              !< 
-    INTEGER(iwp) ::  nynf              !< 
+    INTEGER(iwp) ::  nync              !<
+    INTEGER(iwp) ::  nynf              !<
     INTEGER(iwp) ::  nyn_on_file       !< index of north boundary on former local domain
-    INTEGER(iwp) ::  nysc              !< 
-    INTEGER(iwp) ::  nysf              !< 
+    INTEGER(iwp) ::  nysc              !<
+    INTEGER(iwp) ::  nysf              !<
     INTEGER(iwp) ::  nys_on_file       !< index of south boundary on former local domain
 
     INTEGER(iwp) ::  ns_v_on_file_lsm(0:3) !< number of vertical surface elements (natural type) on file
 
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE, SAVE ::  start_index_on_file 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE, SAVE ::  start_index_on_file
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE, SAVE ::  end_index_on_file
 
     LOGICAL, INTENT(OUT)  :: found
 
-    REAL(wp), DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_2d   !< 
+    REAL(wp), DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_2d   !<
 
     REAL(wp), DIMENSION(nzb_soil:nzt_soil,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d   !<
@@ -6701,8 +6700,8 @@
     TYPE(surf_type_lsm), SAVE :: tmp_walltype_h_1d   !< temporary 1D array containing the respective surface variable stored on file, horizontal surfaces
     TYPE(surf_type_lsm), SAVE :: tmp_walltype_h_2d   !< temporary 2D array containing the respective surface variable stored on file, horizontal surfaces
-    TYPE(surf_type_lsm), SAVE :: tmp_walltype_h_2d2  !< temporary 2D array containing the respective surface variable stored on file, horizontal surfaces 
-
-    TYPE(surf_type_lsm), DIMENSION(0:3), SAVE :: tmp_walltype_v_1d   !< temporary 1D array containing the respective surface variable stored on file, vertical surfaces 
-    TYPE(surf_type_lsm), DIMENSION(0:3), SAVE :: tmp_walltype_v_2d   !< temporary 2D array containing the respective surface variable stored on file, vertical surfaces 
+    TYPE(surf_type_lsm), SAVE :: tmp_walltype_h_2d2  !< temporary 2D array containing the respective surface variable stored on file, horizontal surfaces
+
+    TYPE(surf_type_lsm), DIMENSION(0:3), SAVE :: tmp_walltype_v_1d   !< temporary 1D array containing the respective surface variable stored on file, vertical surfaces
+    TYPE(surf_type_lsm), DIMENSION(0:3), SAVE :: tmp_walltype_v_2d   !< temporary 2D array containing the respective surface variable stored on file, vertical surfaces
     TYPE(surf_type_lsm), DIMENSION(0:3), SAVE :: tmp_walltype_v_2d2  !< temporary 2D array containing the respective surface variable stored on file, vertical surfaces
 
